<% if params[:list_id] or params[:user_id]%>
<div class="row">
  <div class="col-xl-4 col-sm-6 mb-3 col-12">
    <button type="button" class="btn btn-danger create">
    <% if params[:list_id] %>
      <%= link_to 'Create new item', new_list_item_path %>
    <% else %>
      <%= link_to 'Create new item', new_user_item_path %>
    <% end %>
    </button>
  </div>
  <div class="col-xl-8 col-sm-6 mb-3 col-12">
    <%= form_for items_path, method: :get do %>
    <div class="field">
      <%= select_tag :showing, options_for_select(["All", "Finished", "Unfinished"], params[:showing]) %><%= submit_tag 'show', class: "btn btn-primary showbtn"%>
    </div>
     <% end %>
  </div>
</div>
<% end %>
<div class="row mt-2">
<% @items.each do |item| %>
  <div class="col-xl-4 col-sm-6 mb-3 col-12">
    <div class="card mb-3">
      <div class="card-body c-title">
        <h6 class="card-title mb-1 titleControl"><%= item.title %></h6>
        <hr class="my-0">
        <p class="card-text mb-1 descriptionControl"><span class="u-text">Description</span> | <%= item.description %></p>
      </div>
      <%
        today = Time.now
        if (item.due_date >= today.beginning_of_day) && (item.due_date < today.end_of_day)
      %>
      <div class="hvrbox bg-nf">
      <% elsif  (item.due_date < today.beginning_of_day) %>
      <div class="hvrbox bg-f">
      <% else %>
      <div class="hvrbox">
      <% end %>
        <div class="card-body py-2">
            <p class="card-text"><span class="u-text">List name:</span> <%= item.list.list_name %></p>
            <p class="card-text"><span class="u-text">Owner name:</span> <%= item.list.user.full_name %></p>
            <p class="card-text"><span class="u-text">Due date:</span> <%= item.due_date.strftime("%b %d, %Y") %></p>
            <p class="card-text">
              <% if item.finish == "0" %>
                <span class="u-text">Status:</span> Unfinished
              <% else %>
                <span class="u-text">Status:</span> Finished
              <% end %>
            </p>
        </div>
        <div class="hvrbox-layer_top hvrbox-layer_scale">
          <div class="hvrbox-text">
            <% if params[:user_id] %>
              <a href="<%= edit_user_item_path(item.list_id,item.id) %>" class="option"><i class="fas fa-edit"></i> Edit item</a><br />
            <% else %>
              <a href="<%= edit_list_item_path(item.list_id,item.id) %>" class="option"><i class="fas fa-edit"></i> Edit item</a><br />
            <% end %>

            <% unless params[:user_id] %>
            <a data-confirm="Are you sure?" class="option" rel="nofollow" data-method="delete" href="<%= item_path(item.id) %>"><i class="fas fa-trash-alt"></i> Delete item</a><br />
            <% end %>

            <% if item.finish == "0" %>
              <a data-confirm="Do you finish?" rel="nofollow" data-method="put" href="/items/<%= item.id %>/finish" class="option"><i class="far fa-check-square"></i> Finish</a>
            <% else %>
            <% end %>
          </div>
        </div>
      </div>
      <div class="card-footer small text-muted">Updated at <%= item.updated_at.strftime("%b %d, %Y") %></div>
      </div>
    </div>
<% end %>
  </div>
<%= will_paginate @items %>
  </div>
<button type="button" class="btn btn-light create">
<% if params[:list_id] %>
  <%= link_to 'Back to My Lists', lists_path %>
<% elsif params[:user_id] %>
  <%= link_to 'Back to Shared Lists', users_path %>
<% else %>
<% end %>
</button>
</div>